﻿using Infragistics.Windows.DataPresenter;
using System.Windows;

namespace XDGGroupByRowSummaries
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            SummaryDefinition countSummaryDef = new SummaryDefinition
            {
                SourceFieldName = "CategoryID",
                Calculator = new CountSummaryCalculator(),
                StringFormat = "{0}"
            };

            this.xdg1.FieldLayouts[0].SummaryDefinitions.Add(countSummaryDef);

            SummaryDefinition avgPriceSummaryDef = new SummaryDefinition
            {
                SourceFieldName = "UnitPrice",
                Calculator = new AverageSummaryCalculator(),
                StringFormat = "{0:c}"
            };

            this.xdg1.FieldLayouts[0].SummaryDefinitions.Add(avgPriceSummaryDef);

            SummaryDefinition sumUnitsSummaryDef = new SummaryDefinition
            {
                SourceFieldName = "UnitsInStock",
                Calculator = new SumSummaryCalculator(),
                StringFormat = "{0}"
            };

            this.xdg1.FieldLayouts[0].SummaryDefinitions.Add(sumUnitsSummaryDef);

            FieldSortDescription categoryGroupBy = new FieldSortDescription
            {
                FieldName = "CategoryID",
                IsGroupBy = true
            };
            this.xdg1.FieldLayouts[0].SortedFields.Add(categoryGroupBy);  
        }
    }
}
